# Draw
TKTopTest
TestTopOpeTools

# TestTopOpeTools_Array1OfMesure Class Reference

`#include <TestTopOpeTools_Array1OfMesure.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TestTopOpeTools_Array1OfMesure (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TestTopOpeTools_Array1OfMesure (const TestTopOpeTools_Mesure &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const TestTopOpeTools_Mesure &V)
Standard_EXPORT void | Destroy ()
| ~TestTopOpeTools_Array1OfMesure ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const TestTopOpeTools_Array1OfMesure & | Assign (const TestTopOpeTools_Array1OfMesure &Other)
const TestTopOpeTools_Array1OfMesure & | operator= (const TestTopOpeTools_Array1OfMesure &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const TestTopOpeTools_Mesure &Value)
const TestTopOpeTools_Mesure & | Value (const Standard_Integer Index) const
const TestTopOpeTools_Mesure & | operator() (const Standard_Integer Index) const
TestTopOpeTools_Mesure & | ChangeValue (const Standard_Integer Index)
TestTopOpeTools_Mesure & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | TestTopOpeTools_Array1OfMesure (const TestTopOpeTools_Array1OfMesure &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT TestTopOpeTools_Array1OfMesure::TestTopOpeTools_Array1OfMesure | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TestTopOpeTools_Array1OfMesure::TestTopOpeTools_Array1OfMesure | ( | const TestTopOpeTools_Mesure & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

TestTopOpeTools_Array1OfMesure::~TestTopOpeTools_Array1OfMesure | ( |  | ) | `[inline]`

Standard_EXPORT TestTopOpeTools_Array1OfMesure::TestTopOpeTools_Array1OfMesure | ( | const TestTopOpeTools_Array1OfMesure & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const TestTopOpeTools_Array1OfMesure& TestTopOpeTools_Array1OfMesure::Assign | ( | const TestTopOpeTools_Array1OfMesure & | Other | ) |

TestTopOpeTools_Mesure& TestTopOpeTools_Array1OfMesure::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TestTopOpeTools_Array1OfMesure::Destroy | ( |  | ) |

Standard_EXPORT void TestTopOpeTools_Array1OfMesure::Init | ( | const TestTopOpeTools_Mesure & | V | ) |

Standard_Boolean TestTopOpeTools_Array1OfMesure::IsAllocated | ( |  | ) | const

Standard_Integer TestTopOpeTools_Array1OfMesure::Length | ( |  | ) | const

Standard_Integer TestTopOpeTools_Array1OfMesure::Lower | ( |  | ) | const

void TestTopOpeTools_Array1OfMesure::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TestTopOpeTools_Array1OfMesure::operator new | ( | size_t | size | ) | `[inline]`

void* TestTopOpeTools_Array1OfMesure::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TestTopOpeTools_Mesure& TestTopOpeTools_Array1OfMesure::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const TestTopOpeTools_Mesure& TestTopOpeTools_Array1OfMesure::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TestTopOpeTools_Array1OfMesure& TestTopOpeTools_Array1OfMesure::operator= | ( | const TestTopOpeTools_Array1OfMesure & | Other | ) | `[inline]`

void TestTopOpeTools_Array1OfMesure::SetValue | ( | const Standard_Integer | Index,
|  | const TestTopOpeTools_Mesure & | Value
| ) |

Standard_Integer TestTopOpeTools_Array1OfMesure::Upper | ( |  | ) | const

const TestTopOpeTools_Mesure& TestTopOpeTools_Array1OfMesure::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean TestTopOpeTools_Array1OfMesure::isAllocated `[private]`

Standard_Integer TestTopOpeTools_Array1OfMesure::myLowerBound `[private]`

Standard_Address TestTopOpeTools_Array1OfMesure::myStart `[private]`

Standard_Integer TestTopOpeTools_Array1OfMesure::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- TestTopOpeTools_Array1OfMesure.hxx